Debian Bug report logs - #647607
improve partition offsets

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Neil Wilson <neil@aldur.co.uk>

Date: Fri, 4 Nov 2011 13:42:01 UTC

Severity: normal

Found in version live-build/3.0~a38-1

Fixed in versions live-build/4.0~a11-1, live-build/3.0.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, neil@aldur.co.uk, Debian Live Project <debian-live@lists.debian.org>:
Bug#647607; Package live-build. (Fri, 04 Nov 2011 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
New Bug report received and forwarded. Copy sent to neil@aldur.co.uk, Debian Live Project <debian-live@lists.debian.org>. (Fri, 04 Nov 2011 13:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: binary_hdd partition size needs some thought
Date: Fri, 04 Nov 2011 13:38:33 +0000
Package: live-build
Version: 3.0~a24-1ubuntu17
Severity: normal


In binary_hdd the partition is created with size '0.0 100%'. On a
msdos partition table this will make the installation of bootloaders
problematic, and on GPT partitions lots of fun. Parted can be a bit dumb
depending on the version.

http://en.wikipedia.org/wiki/BIOS_Boot_partition
http://en.wikipedia.org/wiki/GUID_Partition_Table

Other partition2disk systems leave at least 64 sectors at the beginning
of the disk for msdos partitions. guestfs leaves 64 512 byte sectors
front and back as GPT backs up at the end of the disk.

The 'mkpart' size spec I use is '64s -65s' which aligns with 4K page
sizes as well and seems to give maximum compatibility over time without
wasting too much space on smaller image sizes.

Newer versions of parted will align properly if you use '0% 100%' -
which leaves 2048 sectors at the front of the disk and 2015 sectors at
the back with a gpt table.


-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-12-virtual (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                0.5.7ubuntu2 Bootstrap a Debian system
ii  debootstrap                 1.0.37       Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                   2.11-7ubuntu1     GNU cpio -- a program to manage ar
ii  gettext-base           0.18.1.1-3ubuntu1 GNU Internationalization utilities

Versions of packages live-build suggests:
ii  dosfstools              3.0.9-1ubuntu3   utilities for making and checking 
pn  genisoimage             <none>           (no description available)
pn  gnu-fdisk               <none>           (no description available)
ii  memtest86+              4.20-1ubuntu1    thorough real-mode memory tester
pn  mtools                  <none>           (no description available)
ii  parted                  2.3-6ubuntu3     disk partition manipulator
pn  squashfs-tools | mtd-to <none>           (no description available)
ii  sudo                    1.7.4p6-1ubuntu2 Provide limited super user privile
pn  syslinux | grub         <none>           (no description available)
ii  uuid-runtime            2.19.1-2ubuntu3  runtime components for the Univers
pn  win32-loader            <none>           (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#647607; Package live-build. (Fri, 04 Nov 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 04 Nov 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 647607@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 647607@bugs.debian.org
Subject: Re: Bug#647607: live-build: binary_hdd partition size needs some thought
Date: Fri, 04 Nov 2011 14:51:34 +0100
found 647607 3.0~a38-1
notfound 647607 3.0~a24-1ubuntu17
thanks

On 11/04/2011 02:38 PM, Neil Wilson wrote:
> In binary_hdd the partition is created with size '0.0 100%'.

please do not report bugs against version of live-build in ubuntu,
ubuntu versions are supported in ubuntu.

please do not report bugs against an old version of a live-build branch,
only the latest versions of 1.x, 2.x, and 3.x are supported (with
different levels, see http://live.debian.net/project/lifespan/ for more
information), and make sure it still persists with the current version
of a branch.

> The 'mkpart' size spec I use is '64s -65s' which aligns with 4K page
> sizes as well and seems to give maximum compatibility over time without
> wasting too much space on smaller image sizes.

sounds reasonable then, can you send a patch for that?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug Marked as found in versions live-build/3.0~a38-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 04 Nov 2011 13:54:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.0~a24-1ubuntu17. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 04 Nov 2011 13:54:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'improve partition offsets' from 'live-build: binary_hdd partition size needs some thought' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 04 Nov 2011 13:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#647607; Package live-build. (Mon, 07 Nov 2011 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Nov 2011 15:33:06 GMT) Full text and rfc822 format available.

Message #21 received at 647607@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: daniel.baumann@progress-technologies.net
Cc: 647607@bugs.debian.org
Subject: Re: Bug#647607: live-build: binary_hdd partition size needs some thought
Date: Mon, 7 Nov 2011 15:32:40 +0000
[Message part 1 (text/plain, inline)]
Tags: patch

Patch to correct.

Had to increase the percentage for filesystem overhead on ext
filesystems to 6% - 5% isn't quite enough in some cases - and fix the
losetup function so it handles the size of the partition as well as
the offset.
[bin_hdd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#647607; Package live-build. (Mon, 07 Nov 2011 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Nov 2011 15:48:06 GMT) Full text and rfc822 format available.

Message #26 received at 647607@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 647607@bugs.debian.org
Subject: Re: Bug#647607: live-build: binary_hdd partition size needs some thought
Date: Mon, 07 Nov 2011 16:46:41 +0100
On 11/07/2011 04:32 PM, Neil Wilson wrote:
> Had to increase the percentage for filesystem overhead on ext
> filesystems to 6% - 5% isn't quite enough in some cases>

what cases would that be exactely? we've build images for many years,
and 5% has been always enough for anything with ext{2,3}. and i doubt
ext4 is any different in that regard.

> fix the losetup function so it handles the size of the partition as well as
> the offset.

that's a seperate thing, please put that in a seperate patch.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 15 Feb 2013 11:51:04 GMT) Full text and rfc822 format available.

Notification sent to Neil Wilson <neil@aldur.co.uk>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 11:51:04 GMT) Full text and rfc822 format available.

Message #31 received at 647607-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 647607-close@bugs.debian.org
Subject: Bug#647607: fixed in live-build 4.0~a11-1
Date: Fri, 15 Feb 2013 11:47:38 +0000
Source: live-build
Source-Version: 4.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Feb 2013 12:39:09 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 647607 648861
Changes: 
 live-build (4.0~a11-1) experimental; urgency=low
 .
   * Allowing to use parted its automatic offset handling at the beginning
     of a disk, rather than to harcode it to first block (Closes: #647607).
   * Aborting with error if hdd label has a whitespace (Closes: #648861).
   * Dropping sparc bootloader support (silo), there is nobody actively
     maintaining this in live-build.
   * Dropping powerpc bootloader support (yaboot), there is nobody actively
     maintaining this in live-build.
Checksums-Sha1: 
 c13be3d0a9a2dd40b2e345f2fd69696c9d4b53e8 1329 live-build_4.0~a11-1.dsc
 a0821081972148ddfd47f25a3b162d45dc197151 160440 live-build_4.0~a11.orig.tar.xz
 89f5cc627fbf65186d9a29a92b09cc8af62a0df6 52416 live-build_4.0~a11-1.debian.tar.xz
 054cecc1a19309adb8b534e3c323f389ee8fb737 196966 live-build_4.0~a11-1_all.deb
 0d788d3dd27b164276a622c4e924edf241c0036c 77404 live-build-cgi_4.0~a11-1_all.deb
Checksums-Sha256: 
 565175c998c6db9b5f7b46a0743592a035ebd4837200d13b38928ff5ae99b073 1329 live-build_4.0~a11-1.dsc
 9a513ebc1d154f9d72c452157bc4ec7ef0db959f785a62cb5d8973a2e878a346 160440 live-build_4.0~a11.orig.tar.xz
 ae7d7dbc5101dca74a85b34794a11dddc79a11684fa5fd6d1ec54852e8ae0b55 52416 live-build_4.0~a11-1.debian.tar.xz
 5ac7728d1147a49e3d543eb2fffa5979de4b4d6adfedef6db59a416a722fb925 196966 live-build_4.0~a11-1_all.deb
 53e4a13b9b2d5ea207d77d67d31563eb6496036cc140b8d23d897f21662df6a9 77404 live-build-cgi_4.0~a11-1_all.deb
Files: 
 5eb5e50fde4cb4f0690a84f7d6848654 1329 misc optional live-build_4.0~a11-1.dsc
 a02b00139cb925230d383785b4a97512 160440 misc optional live-build_4.0~a11.orig.tar.xz
 1b9409ee3f723989de1c8bb740f5f168 52416 misc optional live-build_4.0~a11-1.debian.tar.xz
 046f3e13be2c6b25fb11df73cbbc366c 196966 misc optional live-build_4.0~a11-1_all.deb
 4e8cdc3d0ff6d1f6c415f39119bf8a7d 77404 misc optional live-build-cgi_4.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEeHsYACgkQ+C5cwEsrK573CACgiTha2uSlJa3RjTGZbjrk7iO3
6gMAn0oEWJyiwH8R5NGLEyPQ2OGYXJ72
=tAGU
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 25 Apr 2013 10:51:08 GMT) Full text and rfc822 format available.

Notification sent to Neil Wilson <neil@aldur.co.uk>:
Bug acknowledged by developer. (Thu, 25 Apr 2013 10:51:08 GMT) Full text and rfc822 format available.

Message #36 received at 647607-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 647607-close@bugs.debian.org
Subject: Bug#647607: fixed in live-build 3.0.2-1
Date: Thu, 25 Apr 2013 10:47:37 +0000
Source: live-build
Source-Version: 3.0.2-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Apr 2013 12:41:54 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 647607 648861 702537
Changes: 
 live-build (3.0.2-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Allowing to use parted its automatic offset handling at the beginning
     of a disk, rather than to harcode it to first block (Closes: #647607).
   * Aborting with error if hdd label has a whitespace (Closes: #648861).
   * Updating d-i suite symlink for wheezy release.
   * Correcting typo in grub2 config template.
   * Synchronise grub and grub2 splashes with internal live-build splash
     for syslinux bootloaders.
   * Removing non-existent --apt-indices none references.
   * Also showing distribution in lb config initial messages.
   * Making messages about reading system conffiles in lb config more
     accurate.
   * Harmonize handling of pre-existing gnupg dotfiles in chroot when
     handling fake signing keys for local repository.
   * Making some more debian source-selections conditional on certain image
     options.
   * Adding source_hooks for hooks on source images like already supported
     on binary images.
 .
   [ Richard Nelson ]
   * Add sanity check on config type to build for l-b-cgi.
   * Add _CGI_CONFIG_APPEND varialbe for appending options to lb config
     call on l-b-cgi frontend.
   * Change _CGI_CONFIG_APPEND to front of the lb config call on l-b-cgi
     frontend.
   * Removing quotes around _CGI_CONFIG_APPEND to handle multiple
     parameters correctly on l-b-cgi frontend.
   * Adding binary image type to config call on l-b-cgi frontend.
   * Add log information of git:://url for l-b-cgi frontend.
   * Append to log file on errors and not truncate the file on l-b-cgi
     frontend.
 .
   [ Daniel Baumann ]
   * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
     barratt.org.uk>.
 .
   [ Raphaƫl Hertzog ]
   * Fixing win32-loader.ini by including the GTK related entries.
 .
   [ Daniel Baumann ]
   * Correcting typo directory when dereferencing syslinux symlinks when
     building chrooted, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
   * Using dpkg-divert in chroot_upstart script to handle upgrades of
     upstart during the build (Closes: #702537).
   * Using dpkg-divert for other diversions too to handle upgrades of the
     diverted stuff during build.
   * Adding generic live-build handle in chroot_dpkg for other live
     packages to act upon.
   * Updating fallback help message in live-build pseudo-command.
   * Correcting grammer error in live-build description.
   * Adding set -e in example auto scripts.
 .
   [ Richard Nelson ]
   * Converting l-b-cgi frontend to process forms with post.
 .
   [ Daniel Baumann ]
   * Cleaning up installer file locations for progress-linux.
   * Stripping out comments in package lists.
   * Updating derivatives archive-key signature validiation to look by
     default at both debian and debian-maintainers keyrings.
   * Updating bootstrap mirror for progress-linux.
Checksums-Sha1: 
 0c6211614ff468bf6fc583634615d4d77e111c5a 1315 live-build_3.0.2-1.dsc
 1997f9db87d78dc73085259b97b302bc4abe2bb4 163316 live-build_3.0.2.orig.tar.xz
 3d74f8215977cea8daff0687c2ebbbf0256fc1a1 52128 live-build_3.0.2-1.debian.tar.xz
 2378ed16be8f187bf467b4c23d8f944868dff816 211656 live-build_3.0.2-1_all.deb
 64df26e41e5dacef43cbc915e7408e182fc4343c 76994 live-build-cgi_3.0.2-1_all.deb
Checksums-Sha256: 
 d9d35ab75037d64a3a634f730b7b507682607828ccb326583a051789c183de24 1315 live-build_3.0.2-1.dsc
 5c264f718999cff1e29507365df4373542b334385a88efaa979137e8e118a6c9 163316 live-build_3.0.2.orig.tar.xz
 22c89f823fceb2f4b0afa567e217d1ac0310ca7ecb07ab75c90739b2327b3c13 52128 live-build_3.0.2-1.debian.tar.xz
 098154a635b18b44f13a72f437aec7ee389ff63949dddd6e1a75d0aabe94b8e7 211656 live-build_3.0.2-1_all.deb
 f1c7e59207af13a8f0a5d2d2a6e43c47eb22fcd54c2fd6acbd7c8f40517a771d 76994 live-build-cgi_3.0.2-1_all.deb
Files: 
 44b4fe4783e1cd302ee42ea45fe11fba 1315 misc optional live-build_3.0.2-1.dsc
 93f4d6277839683e0d3c19d59a4b6c93 163316 misc optional live-build_3.0.2.orig.tar.xz
 13ae530f3e31b512c85f40b160c5a485 52128 misc optional live-build_3.0.2-1.debian.tar.xz
 62dcd49ffcb47d6581c5a97d7bb24f01 211656 misc optional live-build_3.0.2-1_all.deb
 2365b627f2aac5a2454a75a395428e3f 76994 misc optional live-build-cgi_3.0.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlF5CU8ACgkQ+C5cwEsrK55fMACeLSqU5bEHJlUrYMoUpcnQMLM8
QiAAn1+TT6//uK72Mb1Spvx0chOxNm+y
=ocYY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 May 2013 07:26:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:56:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.